#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/PHP7_EXT_CACHE.sh
#
# Copyright (c) 2009 eisfair-Team
#
# Creation:    2009-05-24 schlotze
# Last update: $Id: PHP7CLI_CACHING_MODULE.sh 61811 2018-12-30 00:46:54Z schlotze $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
   win="$p2"

   sellist="apcu,redis,apcu+redis,no"

   ece_select_list_dlg "$win" "Cache Method" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
